<template>
  <q-page class="profile-page">
    <q-layout view="hHh Lpr fFf">
      <q-page-container>
        <!-- Header Section -->
        <div class="profile-header q-pa-md">
          <div class="row items-center g-0">
            <div class="col-md-3 col-4">
              <q-avatar size="100px" :src="profile.avatar" />
            </div>
            <div class="col-md-9 col-8">
              <div class="profile-info">
                <div class="profile-name text-h5">{{ profile.name }}</div>
                <div class="profile-username text-subtitle1">@{{ profile.username }}</div>
                <div class="profile-bio text-body1">{{ profile.bio }}</div>
                <div class="profile-actions">
                  <q-btn flat label="Modifier le profil" color="primary" />
                  <q-btn flat icon="settings" color="secondary" />
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- Posts Section -->
        <div class="profile-posts q-mt-md">
          <div class="row g-0">
            <div class="col-md-4 col-12" v-for="post in userPosts" :key="post.id">
              <q-card class="profile-post q-mb-md">
                <q-card-section class="profile-post-header">
                  <div class="row items-center g-0">
                    <q-avatar size="50px" :src="post.author.avatar" />
                    <div class="q-ml-md">
                      <div class="text-body2">{{ post.author.name }}</div>
                      <div class="text-caption">{{ post.date }}</div>
                    </div>
                  </div>
                </q-card-section>
                <q-separator />
                <q-card-section>
                  <div class="text-body1">{{ post.message }}</div>
                  <q-img :src="post.image" class="profile-post-image" />
                </q-card-section>
                <q-card-section class="profile-post-actions">
                  <q-btn flat icon="favorite_border" :label="`${post.likes} J'aime`" />
                  <q-btn flat icon="comment" :label="`${post.comments} Commentaires`" />
                </q-card-section>
              </q-card>
            </div>
          </div>
        </div>
      </q-page-container>
    </q-layout>
  </q-page>
</template>

<script setup lang="ts">
import { QAvatar, QBtn, QCard, QCardSection, QImg, QLayout, QPage, QPageContainer, QSeparator } from 'quasar';
import { PostCardProps } from 'components/PostCard.vue';

defineOptions({
  name: 'ProfilePage'
});


import image1 from '../assets/images/exploration-du-champ-etoiles-nature-telescope-genere-par-ia.jpg';
import image2 from '../assets/images/pexels-creationsbyfaik-1025469.jpg';
import image3 from '../assets/images/pexels-pixabay-2166.jpg';
import image4 from '../assets/images/pexels-pixabay-87009.jpg';
import image5 from '../assets/images/prise-vue-verticale-beau-ciel-etoile.jpg';
import image6 from '../assets/images/pexels-pixabay-2156.jpg';
import image7 from '../assets/images/pexels-pixabay-39896.jpg';
import image8 from '../assets/images/pexels-pixabay-87611.jpg';
import image9 from '../assets/images/satellite-brillant-orbite-autour-planete-dans-galaxie-remplie-etoiles-generee-par-ia.jpg';

const images = [
  image1,
  image2,
  image3,
  image4,
  image5,
  image6,
  image7,
  image8,
  image9,
];

const randomImage = () => images[Math.floor(Math.random() * images.length)];

// const { profile } = props;
const profile = {
  name: 'Alice Skywatcher',
  username: 'alice_astro',
  avatar: 'https://cdn.quasar.dev/img/avatar1.jpg',
  bio: 'Astrophotographer and stargazer. I love to share my passion for the night sky with everyone.',
};
const userPosts: PostCardProps['post'][] = [
  {
    id: '1',
    date: '2024-06-01',
    link: '/post/1',
    likes: 150,
    comments: 23,
    message: 'Observing Jupiter tonight! The Great Red Spot is incredibly clear. Have you ever seen it?',
    image: randomImage(),
    author: {
      name: 'Alice Skywatcher',
      username: 'alice_astro',
      avatar: 'https://cdn.quasar.dev/img/avatar1.jpg',
    },
  },
  {
    id: '2',
    date: '2024-06-10',
    link: '/post/2',
    likes: 200,
    comments: 45,
    message: 'The Milky Way from my backyard last night. Perfect clear sky and no light pollution!',
    image: randomImage(),
    author: {
      name: 'Bob Stargazer',
      username: 'bob_stargazer',
      avatar: 'https://cdn.quasar.dev/img/avatar2.jpg',
    },
  },
  {
    id: '3',
    date: '2024-06-13',
    link: '/post/3',
    likes: 340,
    comments: 67,
    message: 'Can’t believe we spotted the Andromeda Galaxy with just a pair of binoculars! It was stunning.',
    image: randomImage(),
    author: {
      name: 'Carol Nebula',
      username: 'carol_nebula',
      avatar: 'https://cdn.quasar.dev/img/avatar3.jpg',
    },
  },
  {
    id: '4',
    date: '2024-06-15',
    link: '/post/4',
    likes: 275,
    comments: 39,
    message: 'Lunar eclipse tonight! Grab your telescopes and enjoy the show.',
    image: randomImage(),
    author: {
      name: 'David Moon',
      username: 'david_moon',
      avatar: 'https://cdn.quasar.dev/img/avatar4.jpg',
    },
  },
  {
    id: '5',
    date: '2024-06-20',
    link: '/post/5',
    likes: 420,
    comments: 82,
    message: 'Caught the International Space Station passing overhead! Such a bright and fast-moving object.',
    image: randomImage(),
    author: {
      name: 'Eve Satellite',
      username: 'eve_satellite',
      avatar: 'https://cdn.quasar.dev/img/avatar5.jpg',
    },
  },
];

</script>

<style lang="scss">
.profile-page {
  .profile-header {
    background-color: #1da1f2;
    color: #ffffff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    .profile-info {
      .profile-name {
        font-weight: bold;
      }
      .profile-username {
        color: #b0bec5;
      }
      .profile-bio {
        margin-top: 8px;
      }
      .profile-actions {
        margin-top: 12px;
        q-btn {
          margin-right: 8px;
        }
      }
    }
  }

  .profile-posts {
    .profile-post {
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
      border-radius: 8px;
      .profile-post-header {
        padding: 16px;
        .q-avatar {
          border: 2px solid #ffffff;
        }
        .text-body2 {
          font-weight: bold;
        }
      }
      .profile-post-actions {
        padding: 12px;
        q-btn {
          margin-right: 8px;
        }
      }
      .profile-post-image {
        margin-top: 12px;
        border-radius: 8px;
      }
    }
  }
}
</style>
